Skip to main content
GET
/
identity_profiles
/
{id}
/
verifications
List identity profile verifications
curl --request GET \
  --url https://api.whop.com/api/v1/identity_profiles/{id}/verifications \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.whop.com/api/v1/identity_profiles/{id}/verifications"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.whop.com/api/v1/identity_profiles/{id}/verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "created_at": "2023-12-01T05:00:00.401Z",
      "id": "verf_xxxxxxxxxxxxx",
      "last_error_reason": "Document image was too blurry to read.",
      "session_url": "https://verify.stripe.com/session/abc123"
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true,
    "start_cursor": "<string>"
  }
}
{
"error": {
"code": "parameter_missing",
"message": "Missing required parameter: amount.",
"param": "amount",
"type": "invalid_request_error"
}
}
{
"error": {
"message": "Invalid or missing API key",
"type": "unauthorized"
}
}
{
"error": {
"message": "You do not have permission to access this resource",
"type": "forbidden"
}
}
{
"error": {
"message": "Resource not found",
"type": "not_found"
}
}
{
"error": null
}
{
"error": null
}
{
"error": {
"message": "An unexpected error occurred",
"type": "internal_server_error"
}
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Path Parameters

id
string
required

The unique identifier of the identity profile (idpf_xxx).

Example:

"idpf_xxxxxxxxxxxxx"

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

Response

A successful response

The connection type for Verification.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.